%global momorel 17
#%%global srcver 0.3.1
%global emacsver 23.0.95
%global e_sitedir  %{_datadir}/emacs/site-lisp

Summary: MUA by Ruby use rast
Name: elisp-morq
#Version: %{srcver}
Version: 0.20060121
Release: %{momorel}m%{?dist}
Group: Applications/Internet
License: GPL
#Source0: http://projects.netlab.jp/rast/archives/rast-%{srcver}.tar.bz2
#NoSource: 0 
#  svn checkout http://projects.netlab.jp/svn/morq/trunk morq
Source0: morq.tar.bz2
URL: http://projects.netlab.jp/morq/
BuildPreReq: ruby
Requires: rast
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
MTA by matz

%prep
#%%setup -q -n %{srcname}-%{srcver}
%setup -q -n morq

%build
ruby setup.rb config \
    --bindir=%{buildroot}%{_bindir} \
    --rbdir=%{buildroot}%{ruby_libdir}
ruby setup.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb install

%{__mkdir_p} %{buildroot}%{e_sitedir}/morq
%{__cp} elisp/morq.el %{buildroot}%{e_sitedir}/morq

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/*
%{ruby_libdir}/*/*
%dir %{e_sitedir}/morq
%{e_sitedir}/morq/morq*.*

%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-17m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-16m)
- rebuild against emacs-23.0.94

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-15m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-14m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-13m)
- rebuild against rpm-4.6

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-12m)
- rebuild against emacs-22.3

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-11m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-10m)
- rebuild against gcc43

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.20060121-9m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-8m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-7m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-6m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-5m)
- rebuild against emacs-22.0.94

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20060121-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.20060121-2m)
- rebuild against emacs-22.0.90

* Sat Jan 21 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.20060121-1m)
- initial
- only for emacs
